{ config, ... }:
{
  imports = [ ./networks ];

  networking = {
    useNetworkd = true;
    dhcpcd.enable = false;
    nftables.enable = true;
    firewall.allowPing = false;
    nameservers = [
      "2620:fe::11#dns11.quad9.net"
      "2620:fe::fe:11#dns11.quad9.net"
      "9.9.9.11#dns11.quad9.net"
      "149.112.112.11#dns11.quad9.net"
    ];
  };

  services.resolved = {
    enable = true;
    dnssec = "true";
    dnsovertls = "true";
    fallbackDns = config.networking.nameservers;
  };
}
